Subject: Re: FW: Building Postgres 17.0 with meson

From: Nazir Bilal Yavuz <[email-masked]>
Date: Fri, 15 Nov 2024 16:12:50 +0300

Hi Mark,

On Fri, 15 Nov 2024 at 16:01, Mark Hill <[email-masked]> wrote:
>
> On Wed, 14 Nov 2024 at 2:55PM(EST), Mark Hill <[email-masked] > wrote:
>
> > With openssl, zlib, and icu enabled in the setup, the ninja build fails trying to link src/backend/postgres.exe.
> > There are 40 unresolved external symbol errors (see below.)  I checked a few of the symbols and they appear
> > in the Postgres source without the "_72" text on the end.   Is it getting "72" from the version of icu4c I'm using,
> > 72.1?   Anyone know how to prevent these errors?
>
> I'm including the meson-log.txt file for the build I reported in my previous post for more information.

I don't know the cause of the errors you mentioned. But I know that
there is a repository from Dave Page, which builds some dependencies
on Windows and compiles Postgres using meson [1]. I guess this may
help you.

[1] https://github.com/dpage/winpgbuild
[1.1] https://github.com/dpage/winpgbuild/actions

-- 
Regards,
Nazir Bilal Yavuz
Microsoft